Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.channel.socket
Interface ServerSocketChannel

All Superinterfaces:
  Channel, Comparable<Channel>, ServerChannel

    public interface ServerSocketChannel

extends ServerChannel

A TCP/IP `ServerChannel` which accepts incoming TCP/IP connections.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Field Summary

Fields inherited from interface org.jboss.netty.channel.Channel
`OP_NONE, OP_READ, OP_READ_WRITE, OP_WRITE`

Method Summary
`ServerSocketChannelConfig` | `getConfig()` Returns the configuration of this channel.
`InetSocketAddress` | `getLocalAddress()` Returns the local address where this channel is bound to.
`InetSocketAddress` | `getRemoteAddress()` Returns the remote address where this channel is connected to.

Methods inherited from interface org.jboss.netty.channel.Channel
`bind, close, connect, disconnect, getCloseFuture, getFactory, getId, getInterestOps, getParent, getPipeline, isBound, isConnected, isOpen, isReadable, isWritable, setInterestOps, setReadable, unbind, write, write`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getConfig

    ServerSocketChannelConfig getConfig()

  Description copied from interface: `Channel`
  Returns the configuration of this channel.

  Specified by:
    `getConfig` in interface `Channel`

### getLocalAddress

    InetSocketAddress getLocalAddress()

  Description copied from interface: `Channel`
  Returns the local address where this channel is bound to. The returned `SocketAddress` is supposed to be down-cast into more concrete type such as `InetSocketAddress` to retrieve the detailed information.

  Specified by:
    `getLocalAddress` in interface `Channel`
  Returns:
    the local address of this channel. `null` if this channel is not bound.

### getRemoteAddress

    InetSocketAddress getRemoteAddress()

  Description copied from interface: `Channel`
  Returns the remote address where this channel is connected to. The returned `SocketAddress` is supposed to be down-cast into more concrete type such as `InetSocketAddress` to retrieve the detailed information.

  Specified by:
    `getRemoteAddress` in interface `Channel`
  Returns:
    the remote address of this channel. `null` if this channel is not connected. If this channel is not connected but it can receive messages from arbitrary remote addresses (e.g. `DatagramChannel`, use `MessageEvent.getRemoteAddress()` to determine the origination of the received message as this method will return `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.